# Class LayerListSettingsProperties

Properties that can be used to initialize an instance of mapping/support/LayerListSettings!LayerListSettings.

#####
Index

### Constructors

constructor

### Properties

childrenIncluded?
expanded?
included?

##
Constructors

### constructor

- new LayerListSettingsProperties(): LayerListSettingsProperties

- #### Returns LayerListSettingsProperties

##
Properties

### `Optional` childrenIncluded

childrenIncluded?: boolean

Whether child layers should be included in the layer list. This value may not be set to true, if the associated LayerExtension or SublayerExtension does not support sublayers.

### `Optional` expanded

expanded?: boolean

Whether this node is initially expanded to show children. No effect if included is false. This value may not be set to true, if the associated LayerExtension or SublayerExtension does not support sublayers.

### `Optional` included

included?: boolean

Whether this layer should be included in the layer list.